## org.codehaus.groovy.ast.expr
Class ElvisOperatorExpression

Constructor Summary
`ElvisOperatorExpression(Expression base, Expression falseExpression)`

Method Summary
`static BooleanExpression` | `getBool(Expression base)`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ElvisOperatorExpression

    public ElvisOperatorExpression(Expression base, Expression falseExpression)

Method Detail

### getBool

    static BooleanExpression getBool(Expression base)

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)